Bug 17521 - Step 3 of patron modification editor not checking age limits
Summary: Step 3 of patron modification editor not checking age limits
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Radek Šiman (R-Bit Technology, s.r.o.)
QA Contact: Testopia
URL:
Keywords:
Depends on: 17548
Blocks: 17557
  Show dependency treegraph
 
Reported: 2016-10-31 13:42 UTC by Radek Šiman (R-Bit Technology, s.r.o.)
Modified: 2017-06-14 22:15 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17521: Added missing age limit check (1.61 KB, patch)
2016-10-31 22:54 UTC, Radek Šiman (R-Bit Technology, s.r.o.)
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 17521: Added missing age limit check (1.67 KB, patch)
2016-11-03 09:33 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 17521: Added missing age limit check (1.71 KB, patch)
2016-11-03 10:08 UTC, Lucio Moraes
Details | Diff | Splinter Review
Bug 17521: Added missing age limit check (1.77 KB, patch)
2016-11-04 09:24 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Radek Šiman (R-Bit Technology, s.r.o.) 2016-10-31 13:42:04 UTC
The 3rd step of patron modification which can be displayed directly using the following link for instance
/cgi-bin/koha/members/memberentry.pl?op=modify&borrowernumber=3&step=3
is not checking patron's age, so it allows to set off-limit category.
Comment 1 Radek Šiman (R-Bit Technology, s.r.o.) 2016-10-31 13:46:23 UTC
This issue is filed after confirmation with Jonathan Druart and it has a connection to bug 17492.
Comment 2 Radek Šiman (R-Bit Technology, s.r.o.) 2016-10-31 22:54:22 UTC
Created attachment 57011 [details] [review]
Bug 17521: Added missing age limit check

Following patron modification partial editor had no age constraint
checking:
/cgi-bin/koha/members/memberentry.pl?op=modify&borrowernumber=3&step=3

Test plan:
1) Apply the patch
2) Open profile of a patron
3) Click Edit under "Library use": http://prntscr.com/d1ghim
4) Change category to an invalid one (eg. Adult instead of Kid)
5) Error saying "Patron's age is incorrect for their category." should
be displayed.
Comment 3 Josef Moravec 2016-11-03 09:33:07 UTC
Created attachment 57121 [details] [review]
[SIGNED-OFF] Bug 17521: Added missing age limit check

Following patron modification partial editor had no age constraint
checking:
/cgi-bin/koha/members/memberentry.pl?op=modify&borrowernumber=3&step=3

Test plan:
1) Apply the patch
2) Open profile of a patron
3) Click Edit under "Library use": http://prntscr.com/d1ghim
4) Change category to an invalid one (eg. Adult instead of Kid)
5) Error saying "Patron's age is incorrect for their category." should
be displayed.

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 4 Lucio Moraes 2016-11-03 10:08:34 UTC
Created attachment 57122 [details] [review]
Bug 17521: Added missing age limit check

Following patron modification partial editor had no age constraint
checking:
/cgi-bin/koha/members/memberentry.pl?op=modify&borrowernumber=3&step=3

Test plan:
1) Apply the patch
2) Open profile of a patron
3) Click Edit under "Library use": http://prntscr.com/d1ghim
4) Change category to an invalid one (eg. Adult instead of Kid)
5) Error saying "Patron's age is incorrect for their category." should
be displayed.

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Signed-off-by: Lucio Moraes <lmoraes@catalyst.net.nz>
Comment 5 Jonathan Druart 2016-11-04 09:24:20 UTC
Created attachment 57166 [details] [review]
Bug 17521: Added missing age limit check

Following patron modification partial editor had no age constraint
checking:
/cgi-bin/koha/members/memberentry.pl?op=modify&borrowernumber=3&step=3

Test plan:
1) Apply the patch
2) Open profile of a patron
3) Click Edit under "Library use": http://prntscr.com/d1ghim
4) Change category to an invalid one (eg. Adult instead of Kid)
5) Error saying "Patron's age is incorrect for their category." should
be displayed.

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Signed-off-by: Lucio Moraes <lmoraes@catalyst.net.nz>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 6 Jonathan Druart 2016-11-04 09:25:10 UTC
I have found another bug which is critical in the same area (bug 17548), I have rebased this one on top of it.
Comment 7 Kyle M Hall 2016-11-07 16:42:36 UTC
Pushed to master for 16.11, thanks Radek!
Comment 8 Mason James 2016-11-30 09:22:03 UTC
(In reply to Kyle M Hall from comment #7)
> Pushed to master for 16.11, thanks Radek!

blocked by skipped patchset (17548), passing for 16.05